Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.util
Interface JposPropertiesConst

All Known Subinterfaces:
  JposProperties

public interface JposPropertiesConst

Interface with all JposPropertiesConstants like property names and values

Since:
  1.3 (Washington DC 2001 meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Field Summary
`static java.lang.String` | `DEFAULT_ENTRIES_SER_FILE_NAME` The default name for the serialized file of JposEntry
`static java.lang.String` | `JPOS_CONFIG_POPULATOR_CLASS_MULTIPROP_NAME` Defines the base name for a multi-property constant used to define the multiple populator class name
`static java.lang.String` | `JPOS_CONFIG_POPULATOR_FILE_MULTIPROP_NAME` Defines the base name for a multi-property constant used to define the multiple populator file (i.e.
`static java.lang.String` | `JPOS_POPULATOR_FILE_PROP_NAME` Constants defining the JavaPOS local populator file Java property
`static java.lang.String` | `JPOS_POPULATOR_FILE_URL_PROP_NAME` Constants defining the JavaPOS URL populator file Java property
`static java.lang.String` | `JPOS_PROPERTIES_FILENAME` Constant defining the resource name for the "jpos.properties" file
`static java.lang.String` | `JPOS_REG_POPULATOR_CLASS_PROP_NAME` Constants defining the JavaPOS JposRegPopulator implementor class name Java property
`static java.lang.String` | `JPOS_SERVICE_MANAGER_CLASS_PROP_NAME` Constants defining the JavaPOS service manager class name Java property
`static java.lang.String` | `JPOS_SERVICE_MANAGER_CLASS_PROP_NAME2` Constants defining the JavaPOS service manager class name Java property NOTE: this is the correct name to use to specify the class implementing the JposServiceManager interface since this interface was moved to the jpos.loader package.
`static java.lang.String` | `JPOS_TRACING_ON_PROP_VALUE` Constants defining the JavaPOS tracing facility Java property value of ON NOTE: either this or the JposProperties#JPOS_TRACING_TRUE_PROP_VALUE works
`static java.lang.String` | `JPOS_TRACING_PROP_NAME` Constants defining the JavaPOS tracing facility Java property
`static java.lang.String` | `JPOS_TRACING_TRUE_PROP_VALUE` Constants defining the JavaPOS tracing facility Java property of TRUE NOTE: either this or the JposProperties#JPOS_TRACING_ON_PROP_VALUE works
`static java.lang.String[]` | `PROP_NAME_ARRAY` String array of all property names

Field Detail

### JPOS_PROPERTIES_FILENAME

    public static final java.lang.String JPOS_PROPERTIES_FILENAME

  Constant defining the resource name for the "jpos.properties" file
  Since:
    1.2 (NY 2K meeting)

### DEFAULT_ENTRIES_SER_FILE_NAME

    public static final java.lang.String DEFAULT_ENTRIES_SER_FILE_NAME

  The default name for the serialized file of JposEntry
  Since:
    0.1 (Philly 99 meeting)

### JPOS_SERVICE_MANAGER_CLASS_PROP_NAME

    public static final java.lang.String JPOS_SERVICE_MANAGER_CLASS_PROP_NAME

  Constants defining the JavaPOS service manager class name Java property
  Since:
    0.1 (Philly 99 meeting)

### JPOS_SERVICE_MANAGER_CLASS_PROP_NAME2

    public static final java.lang.String JPOS_SERVICE_MANAGER_CLASS_PROP_NAME2

  Constants defining the JavaPOS service manager class name Java property NOTE: this is the correct name to use to specify the class implementing the JposServiceManager interface since this interface was moved to the jpos.loader package. The JposServiceLoader will use both...
  Since:
    1.2 (NY 2K meeting)

### JPOS_REG_POPULATOR_CLASS_PROP_NAME

    public static final java.lang.String JPOS_REG_POPULATOR_CLASS_PROP_NAME

  Constants defining the JavaPOS JposRegPopulator implementor class name Java property
  Since:
    1.2 (NY 2K meeting)

### JPOS_POPULATOR_FILE_PROP_NAME

    public static final java.lang.String JPOS_POPULATOR_FILE_PROP_NAME

  Constants defining the JavaPOS local populator file Java property
  Since:
    1.2 (NY 2K meeting)

### JPOS_POPULATOR_FILE_URL_PROP_NAME

    public static final java.lang.String JPOS_POPULATOR_FILE_URL_PROP_NAME

  Constants defining the JavaPOS URL populator file Java property
  Since:
    1.2 (NY 2K meeting)

### JPOS_TRACING_PROP_NAME

    public static final java.lang.String JPOS_TRACING_PROP_NAME

  Constants defining the JavaPOS tracing facility Java property
  Since:
    1.2 (NY 2K meeting)

### JPOS_CONFIG_POPULATOR_CLASS_MULTIPROP_NAME

    public static final java.lang.String JPOS_CONFIG_POPULATOR_CLASS_MULTIPROP_NAME

  Defines the base name for a multi-property constant used to define the multiple populator class name
  Since:
    1.3 (Washington DC 2001 meeting)

### JPOS_CONFIG_POPULATOR_FILE_MULTIPROP_NAME

    public static final java.lang.String JPOS_CONFIG_POPULATOR_FILE_MULTIPROP_NAME

  Defines the base name for a multi-property constant used to define the multiple populator file (i.e. the file that the populator will use to load the entries.
  Since:
    1.3 (Washington DC 2001 meeting)

### JPOS_TRACING_ON_PROP_VALUE

    public static final java.lang.String JPOS_TRACING_ON_PROP_VALUE

  Constants defining the JavaPOS tracing facility Java property value of ON NOTE: either this or the JposProperties#JPOS_TRACING_TRUE_PROP_VALUE works
  Since:
    1.2 (NY 2K meeting)

### JPOS_TRACING_TRUE_PROP_VALUE

    public static final java.lang.String JPOS_TRACING_TRUE_PROP_VALUE

  Constants defining the JavaPOS tracing facility Java property of TRUE NOTE: either this or the JposProperties#JPOS_TRACING_ON_PROP_VALUE works
  Since:
    1.2 (NY 2K meeting)

### PROP_NAME_ARRAY

    public static final java.lang.String[] PROP_NAME_ARRAY

  String array of all property names
  Since:
    1.3 (Washington DC 2001)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details